#include <stddef.h>
#include <qlineedit.h>
#include <qtextedit.h>
#include <qdialog.h>
#include <qdatetime.h>
#include "sicsconn.h"
#include "utils.h"

class QCheckBox;

class Command : public QWidget
{
  Q_OBJECT
public:
  Command(QWidget *parent, const char *name, SicsConnection *conn);
  void setConn(SicsConnection *conn);
  void showText();
  QLineEdit *cmd;
  MyTextEdit *log;
  enum Style {style_normal, style_command, style_error};
  
signals:
  void activate();

public slots:
  void handleSics(const char *text, bool *done = NULL);
  void sendCmd(const char *cmd);
  void handleCmd();
  void handler();
  void showIt(bool show);
//  void showLog();
//  void scrolling(int x, int y);
  
private:
  void add_to_log(QString text, Style style = style_normal);
  int sendCmd1(const char *cmd);
  
  SicsConnection *conn;
  int scrollH;
  bool getHistory;
  bool ownCommand;
  bool quiet; /* for suppressing 'spam' when reading values from nicos/frappy */
  bool blankLine;
  QString timeStamp;
  int getCommandLog;
  QStringList cmdbuffer;
  QTime tmot;
  bool checktmo;
  int logStartupState;
//  bool dirtyLog;
};
