#include <stddef.h>
#include <qdialog.h>
#include <qcombobox.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qbutton.h>
#include <qlayout.h>
#include <qstring.h>
#include <qdatetime.h>
#include "seaset.h"

class Export : public QWidget
{
  Q_OBJECT

public:
  Export(SeaSet *setArg, QWidget *parent=0, const char *instr=0);
  void showMe();
private:
  QLineEdit *stepLE;
  QLineEdit *noneLE;
  QLineEdit *scaleLE;
  QLabel *message;
  SeaSet *set;
  QGridLayout *lay;
  int row;
  QString filePath;
  const char *instrument;
  int progressBytes;
  QTime lastProgress;
signals:
  void finish();
  void procEvt();
public slots:
  void updateCurveList();
  void exportXY();
  void addRow(QString label, QWidget *widget, QString tip);
  void progress(int bytes);
};
