#include <stddef.h>
#include <qvariant.h>
#include <qdialog.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qptrlist.h>
#include <qcombobox.h>
#include <qptrcollection.h>

#include "seaset.h"

class QVBoxLayout;
class QHBoxLayout;
class QSpacerItem;
class QPushButton;
class QCheckBox;

class Graph : public QWidget
{
  Q_OBJECT

public:
  Graph(const char* host = 0, QWidget *parent=0, long range=1800);

  SeaSet *set;
  QComboBox* lineEditRange;
  QCheckBox* liveBox;

public slots:
  void activateRange();
  void autoReturn(const QString &);
  void showIt(bool show);
  void liveUpdate();
signals:
  void gotoSettings();
  void openExport();

private:
  char unit;
  void init();
};



