#include <stddef.h>
#include <qtextedit.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qvaluevector.h>
#include <qtimer.h>
#include <time.h>
#include "sicsconn.h"
#include "utils.h"

class Report : public QWidget
{
  Q_OBJECT
public:
  Report(QWidget *parent, SicsConnection *conn);
signals:
  void leave();
  void openMe();
  void setMarker(time_t t);
public slots:
  void gotoTime(time_t from, time_t at, time_t to, bool silent);
  void updatePos();
  void editReport();
private:
  void setCursorPos(int newpos);
  MyTextEdit *textedit;
  QPushButton *editButton;
  QPushButton *leaveButton;
  QLineEdit *varEdit;
  time_t atTime;
  QString variable;
  SicsConnection *conn;
  int pos;
  int posc;
  time_t from, to;
  QValueVector<time_t> times;
  QTimer *timer;
};
