#include <stddef.h>
#include <qdialog.h>
#include <qptrlist.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include "seaset.h"
// for ColorMenu:
#include "device.h"

class Settings : public QWidget
{
  Q_OBJECT

public:
  Settings(QWidget* parent = 0);
  //~Settings();

  void clear();
  void putCurves(QPtrList<SeaData> *curves);
  void apply();
  SeaSet *set;
  QPushButton *okButton, *cancelButton, *newButton;
  /* QPushButton *autoButton; */
  QLineEdit *rLE, *dLE, *mLE, *yLE, *hrLE;
signals:
  void leaveSettings();
public slots:
  void addEmpty();
  void ok();
  void cancel();
  void autoCurves();
  void checkRange(const QString &str);
  void showIt(bool show);
  void resizeEvent(QResizeEvent *e);
protected:
  void putCurve(const QString &name, const QString &label, const QString &plotName, long colorIndex);
  void updateHeight();
  QScrollView *table;
  QWidget *form;
  QVBoxLayout *formVL;
  QGridLayout *formLayout;
  QPtrList<QLineEdit> names;
  QPtrList<QLineEdit> labels;
  QPtrList<QLineEdit> plots;
  QPtrList<ColorMenu> colors;
  int row;
  
};


